### Constructor

# Adw LayoutSlot new

since: 1.6

#### Declaration [src]

    GtkWidget*
    adw_layout_slot_new (
      const char* id
    )

#### Description [src]

Creates a new `AdwLayoutSlot` with its ID set to `id`.

Available since: 1.6

#### Parameters

`id`

  Type: `const char*`

  The slot ID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

A new `AdwLayoutSlot`.

The data is owned by the called function.